import request from '@/utils/request'

// 查询店铺提现管理列表
export function listStoreextract(query) {
  return request({
    url: '/his/storeExtract/list',
    method: 'get',
    params: query
  })
}

// 查询店铺提现管理详细
export function getStoreextract(extractId) {
  return request({
    url: '/his/storeExtract/' + extractId,
    method: 'get'
  })
}

// 新增店铺提现管理
export function addStoreextract(data) {
  return request({
    url: '/his/storeExtract',
    method: 'post',
    data: data
  })
}

// 修改店铺提现管理
export function updateStoreextract(data) {
  return request({
    url: '/his/storeExtract',
    method: 'put',
    data: data
  })
}

// 删除店铺提现管理
export function delStoreextract(extractId) {
  return request({
    url: '/his/storeExtract/' + extractId,
    method: 'delete'
  })
}

// 导出店铺提现管理
export function exportStoreextract(query) {
  return request({
    url: '/his/storeExtract/export',
    method: 'get',
    params: query
  })
}